# Deploy a new MCP server document **POST /mcp_servers/{mcp_server_id_or_slug}/deploy** Deploy a new workflow document for a given MCP server. ## Servers - Production: https://bump.sh/api/v1 () ## Authentication methods - Authorization token ## Parameters ### Path parameters - **mcp_server_id_or_slug** (string) UUID or slug of a MCP server ### Body: application/json (object) - **definition** (string) Workflow definition of the MCP server. ## Responses ### 201 MCP server workflow document successfully deployed #### Body: application/json (object) - **id** (string) UUID of the workflow deployment - **mcp_server_id** (string) UUID of the MCP server ### 204 MCP server workflow document already exists ### 422 Invalid MCP server deployment request #### Body: application/json (object) - **message** (string) Human readable error message. - **errors** (object) Hash of invalid attributes with their error messages. [Powered by Bump.sh](https://bump.sh)